com.google.appengine.api.capabilities.dev

## Class LocalCapabilitiesService

- java.lang.Object
- - AbstractLocalRpcService
  - - com.google.appengine.api.capabilities.dev.LocalCapabilitiesService

-     public class LocalCapabilitiesService
      extends AbstractLocalRpcService

  Java stub implementation of the capabilities api backend.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PACKAGE` The package name for this service.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalCapabilitiesService()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `geCapabilityPropertyKey(java.lang.String packageName, java.lang.String capability)`
    `LocalCapabilitiesEnvironment` | `getLocalCapabilitiesEnvironment()`
    `java.lang.String` | `getPackage()`
    `protected SummaryStatus` | `getStatus(java.lang.String packageName, java.lang.String capability)` Determine the status for a given capability
    `void` | `init(LocalServiceContext context, java.util.Map<java.lang.String,java.lang.String> properties)`
    `IsEnabledResponse` | `isEnabled(Status status, IsEnabledRequest request)` Implementation of RPC IsEnabled.
    `void` | `setCapabilitiesStatusJavaStub(java.lang.String service, com.google.appengine.api.capabilities.CapabilityStatus status)`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PACKAGE

          public static final java.lang.String PACKAGE

      The package name for this service.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LocalCapabilitiesService

          public LocalCapabilitiesService()

  - ### Method Detail

    - #### getPackage

          public java.lang.String getPackage()

    - #### init

          public void init(LocalServiceContext context,
                           java.util.Map<java.lang.String,java.lang.String> properties)

    - #### setCapabilitiesStatusJavaStub

          public void setCapabilitiesStatusJavaStub(java.lang.String service,
                                                    com.google.appengine.api.capabilities.CapabilityStatus status)

    - #### start

          public void start()

    - #### stop

          public void stop()

    - #### isEnabled

          public IsEnabledResponse isEnabled(Status status,
                                             IsEnabledRequest request)

      Implementation of RPC IsEnabled. Everything is enabled in the local dev.
      Parameters:
        `status` - RPC status
        `request` - `IsEnabledRequest`
      Returns:
        `IsEnabledResponse`

    - #### getStatus

          protected SummaryStatus getStatus(java.lang.String packageName,
                                            java.lang.String capability)

      Determine the status for a given capability
      Parameters:
        `packageName` - name of the package associated with this capability
        `capability` - the name associated with this capability (often "*")
      Returns:
        the test mode status for this capability

    - #### getLocalCapabilitiesEnvironment

          public LocalCapabilitiesEnvironment getLocalCapabilitiesEnvironment()

      Returns:
        the current LocalCapabilitiesEnvironment

    - #### geCapabilityPropertyKey

          public static java.lang.String geCapabilityPropertyKey(java.lang.String packageName,
                                                                 java.lang.String capability)